/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
*     National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
*     Operator of Los Alamos National Laboratory.
* EPICS BASE is distributed subject to a Software License Agreement found
* in file LICENSE that is included with this distribution. 
\*************************************************************************/

/* egeventDefs.h,v 1.1 2016/01/06 20:48:04 anj Exp */

#ifndef EPICS_EGEVENTDEFS_H
#define EPICS_EGEVENTDEFS_H

struct egeventRecord;

typedef long (*EGEVENT_PROC_FUN)(struct egeventRecord *prec);
typedef long (*EGEVENT_INIT_REC_FUN)(struct egeventRecord *prec);
typedef long (*EGEVENT_INIT_DEV_FUN)(int pass);

typedef struct {
    long number;
    DEVSUPFUN            report;
    EGEVENT_INIT_DEV_FUN init;
    EGEVENT_INIT_REC_FUN initRec;
    DEVSUPFUN            get_ioint_info;
    EGEVENT_PROC_FUN     proc;
} EgeventDsetStruct;

#endif
